# hey Emacs, its -*- rpm-spec -*-
# $Id: apache,v 1.19 2002/10/10 13:43:07 ab Exp $
%define russian_patchlevel PL30.16
%define apache_vanilla_version 1.3.27
%define apache_version %{apache_vanilla_version}rus%russian_patchlevel
%define apache_release alt13
%define mod_perl_version 1.27
%define EAPI_version 2.8.10
%define mm_version 1.1.3

%define apache_root /etc/httpd
%define apache_home /var/www
%define old_apache_home /home/httpd
%define apache_user apache
%define apache_group apache
%define apache_webmaster webmaster
%define suexec_docroot /home

Name: apache
Version: %apache_version
Release: %apache_release

Summary: The most widely used Web server on the Russian Internet
Summary(ru_RU.KOI8-R):   -    
License: Apache
Group: System/Servers
Url: http://apache.lexa.ru
Packager: Alexander Bokovoy <ab@altlinux.ru>

Provides: russian-apache = %russian_patchlevel webserver apache = %apache_version-%apache_release
PreReq: apache-common = %apache_version-%apache_release
Requires: mm >= %mm_version

Source: http://httpd.apache.org/dist/httpd/apache_%apache_vanilla_version.tar.bz2
Source1: ftp://apache.lexa/ru/pub/apache-rus/patches_%apache_version.tar.bz2
Source4: apache.logrotate
Source5: httpd.conf
#Source6: mod_include_xssi.c
Source9: EAPI-%EAPI_version.tar.bz2
#Source12: mod_frontpage.c
Source13: mod_perl-%mod_perl_version.tar.bz2
Source15: httpd-perl.conf
Source16: proxied_handlers.pl
#Source22: mod_include.html
Source23: mime.types
#Source24: logo.gif
#Source26: netmin.gif
Source27: Vhosts.conf
Source28: sgi_performance.gif
Source29: ra-powered.gif

Source30: altlinux.html
Source31: altlinux.png
Source33: httpd.init.alt
Source34: httpd-perl.init.alt

#Source40: mod_proxy-1.3.22.tar.bz2

Source50: DynamicVhosts.conf
Source51: VirtualHomePages.conf

Patch1: apache_1.3.19-apxs.patch.bz2
Patch2: apache_1.3.27-srvroot.patch
Patch3: apache_1.3.23-nondbm.patch.bz2
Patch4: Configuration.diff.bz2

# mod_proxy
#Patch5: mod_proxy.patch
#Patch6: mod_proxy-reverse-1.3.23-1.3.22.patch
#Patch7: eapi-mod_proxy-reverse-1.3.23-1.3.22.patch
Patch8: %name-1.3.23-alt-db4.patch

Patch75: apache-1.3.27-openbsd-tmp.patch

Patch80: uneapi.patch
# Expat patch
Patch90: http_main.patch
# RA failure patch for win32
#Patch91: RA-ApacheCore.mak.patch.bz2

#Patch92: apache-chunked.patch
#Patch93: chunked-RA-1.3rus%russian_patchlevel.patch

BuildConflicts: bind-devel

# Automatically added by buildreq on Fri Nov 01 2002
BuildRequires: libdb1-devel libdb4-devel libgdbm-devel libmm-devel perl-HTML-Parser perl-URI perl-devel perl-libwww-perl

%description
Apache is a powerful, full-featured, efficient and freely-available
Web server. Russian Apache is an extended version that supports various
character sets, which are necessary for Russian, Ukrainian, Czech
and other websites.

This special version also includes many optimizations, Extended Application
Programming Interface (EAPI) with the shared memory support,
hooks for SSL module and several cosmetic improvements.

%description -l ru_RU.KOI8-R
Apache - , ,  
  -.
Russian Apache -       
,        
, ,    .

     ,
Extended Application Programming Interface (EAPI)   
,   SSL    .

%package mod_perl
Summary: Russian Apache Web server with a built-in Perl interpreter
Summary(ru_RU.KOI8-R): - Russian Apache    Perl
Group: System/Servers
Icon: mod_perl.gif
Requires: mm >= %mm_version, perl >= 1:5.6.0
PreReq: apache-common = %apache_version-%apache_release
Provides: russian-apache = %russian_patchlevel webserver mod_perl
Obsoletes: mod_perl
AutoProv: yes, perl

%description mod_perl
Apache is a powerful, full-featured, efficient and freely-available
Web server. Russian Apache is an extended version that supports various
character sets, which are necessary for Russian, Ukrainian, Czech
and other websites.

mod_perl incorporates a Perl interpreter into the Apache web
server, so that the Apache web server can directly execute Perl
code.  Mod_perl links the Perl runtime library into the Apache
web server and provides an object-oriented Perl interface for
Apache's C language API.  The end result is a quicker CGI script
turnaround process, since no external Perl interpreter has to
be started.

This package contains Apache with mod_perl linked statically. You may want to
prefer this configuration rather than use mod_perl as a DSO, because it is more
stable and less prone to memory leaks.

This special version also includes many optimizations, Extended Application
Programming Interface (EAPI) with the shared memory support,
hooks for SSL module and several cosmetic improvements.

%description -l ru_RU.KOI8-R mod_perl
Apache - , ,  
  -.
Russian Apache -       
,        
, ,    .

mod_perl   Apache   Perl  
-   Perl   Apache API.  
 -   CGI-,   
     Perl-.

  Apache    mod_perl.  
     mod_perl,   
      .

     ,
Extended Application Programming Interface (EAPI)   
,   SSL    .

%package common
Summary: Files common for apache and apache-mod_perl installations
Summary(ru_RU.KOI8-R):     apache  apache-mod_perl
Group: System/Servers
PreReq: shadow-utils

%description common
This package contains files required for both apache and apache-mod_perl
package installations. Install this if you want to install Apache or/and
Apache with mod_perl.

%description -l ru_RU.KOI8-R common
    ,   apache  apache-mod_perl.
,    Russian Apache
/ Russian Apache  mod_perl.

%package devel
Summary: Module development tools for the Apache web server
Summary(ru_RU.KOI8-R):     - Apache
Group: Development/C
Obsoletes: secureweb-devel
PreReq: apache = %apache_version-%apache_release

%description devel
The apache-devel package contains the source code for the Apache
Web server you'll need to build Dynamic
Shared Objects (DSOs) for Apache.

If you are installing the Apache Web server and
you want to be able to compile or develop additional modules
for Apache, you'll need to install this package.

%description -l ru_RU.KOI8-R devel
       - Apache,
      (DSO).

   - Apache    
    ,     .

%package suexec
Summary: Suexec binary for Apache
Summary(ru_RU.KOI8-R):  suexec  Apache
Group: System/Servers
PreReq: apache-common = %apache_version-%apache_release

%description suexec
This package adds suexec to Apache. Suexec provides Apache users the ability
to run CGI and SSI programs under user IDs different from the user ID of the
calling web-server. Normally, when a CGI or SSI program executes, it runs as
the same user who is running the web server.

%description -l ru_RU.KOI8-R suexec
    Apache suexec.     CGI-
 SSI-   ,   
 -.

%package -n mod_perl-doc
Summary: mod_perl documentation
Summary(ru_RU.KOI8-R):   mod_perl
Group: System/Servers
Version: %{mod_perl_version}_%apache_version
PreReq: apache-common = %apache_version-%apache_release

%description -n mod_perl-doc
This package contains assorted documentation on the mod_perl Apache module.

%package manual
Summary: Apache Manual
Summary(ru_RU.KOI8-R):   Apache
Group: System/Servers
Version: %apache_version
PreReq: apache-common = %apache_version-%apache_release
AutoReq: no

%description manual
This package contains the Apache server documentation in HTML format.

%prep
%{expand:%%global _builddir %_builddir/apache-%apache_version-%apache_release}
%(%__rm -rf %_builddir >&2; %__mkdir_p %_builddir)

%setup -q -n mod_perl-%mod_perl_version -T -b 13
%setup -q -n apache_%apache_vanilla_version
%setup -q -D -n apache_%apache_vanilla_version -T -a 1

#%patch92 -p1

# Fix RA patch first
#%patch93 -p0 
patch -p1 <RA-1.3rus%russian_patchlevel.patch
%patch1 -p1
%patch2 -p1
%patch3 -p1
%patch4 -p1

## mod_proxy magic
#pushd src/modules
#%__rm -rf proxy
#tar xjf %SOURCE40
#popd
#%patch5 -p1
#%patch6 -p1
%patch8 -p1

%patch75 -p1

chmod -x $(find htdocs -type f)

perl -pi -e 's|" PLATFORM "|%distribution/%apache_release|;' \
	$RPM_BUILD_DIR/apache_%apache_vanilla_version/src/main/http_main.c

#####
cd ..

rm -rf apache-mod_perl_%apache_vanilla_version

#### EAPI
pushd apache_%apache_vanilla_version
%setup -q -n apache_%apache_vanilla_version -T -D -b 9
mv ../EAPI-%EAPI_version/pkg.eapi/*.c src/ap/
mv ../EAPI-%EAPI_version/pkg.eapi/*.h src/include/
mv ../EAPI-%EAPI_version/pkg.addon/*.c src/modules/extra
cp src/modules/extra/mod_define.c src/modules/standard
popd

## Fix mod_proxy part of EAPI -- we are reverting mod_proxy to 1.3.22
#pushd EAPI-%EAPI_version/pkg.eapi
#%patch7 -p0
#popd

pushd apache_%apache_vanilla_version
patch -p0 < ../EAPI-%EAPI_version/pkg.addon/addon.patch
patch -p0 < ../EAPI-%EAPI_version/pkg.eapi/eapi.patch
popd

cp -pr apache_%apache_vanilla_version apache-mod_perl_%apache_vanilla_version

%build
echo "### define configure flags"
APFLAGS="--serverroot=%apache_root \
	--prefix=%prefix \
	--bindir=%_bindir \
	--sbindir=%_sbindir \
	--mandir=%_mandir \
	--sysconfdir=%_sysconfdir/httpd/conf \
	--datadir=%apache_home \
	--htdocsdir=%apache_home/html \
	--includedir=%_includedir/apache \
	--localstatedir=%_var \
	--runtimedir=%_var/run \
	--logfiledir=%_logdir/httpd \
	--proxycachedir=%_var/cache/httpd \
	--disable-rule=WANTHSREGEX \
	--disable-rule=EXPAT \
        --with-perl=%_bindir/perl \
	--without-confadjust \
	--enable-module=all \
	--enable-module=auth_digest \
	--disable-module=auth_dbm \
	--enable-shared=max \
	--enable-suexec \
	--suexec-caller=%apache_user \
	--suexec-docroot=%suexec_docroot \
	--suexec-userdir=public_html \
	"

echo "### Build the *normal* Apache"
OPTIM="$RPM_OPT_FLAGS"
EAPI_MM=SYSTEM \
CFLAGS='-DEAPI_MM_CORE_PATH=\\\"/var/run/mm\\\" -DNO_DBM_REWRITEMAP' \
LIBS=-lgdbm \
./configure \
	--enable-rule=EAPI \
	--libexecdir=%_libdir/apache \
	--enable-rule=SHARED_CORE \
	$APFLAGS

#	--add-module=%SOURCE6 \
#	--add-module=%SOURCE12 \

make

echo "### configure mod_perl"
cd $RPM_BUILD_DIR/mod_perl-%mod_perl_version
perl -pi -e "s|PRODUCT|BASEPRODUCT|;" Makefile.PL
PERL_CC="gcc" \
PERL_CCFLAGS=`perl -V:ccflags|cut -f 2 -d\'` \
perl -I$RPM_BUILD_DIR/mod_perl-%mod_perl_version/lib  Makefile.PL \
    PREFIX=/usr INSTALLDIRS=vendor\
    USE_APACI=1 \
    APACHE_SRC=../apache-mod_perl_%apache_vanilla_version/src \
    APACHE_HEADER_INSTALL=0 \
    DO_HTTPD=1 \
    PREP_HTTPD=1 \
    EVERYTHING=1

echo "### build Perl-side "
make
chmod -R o-w t/docs/
cd faq
make
echo "### build Apache with mod_perl"
cd $RPM_BUILD_DIR/apache-mod_perl_%apache_vanilla_version

OPTIM="$RPM_OPT_FLAGS" \
PERL_CC="gcc" \
PERL_CCFLAGS=`perl -V:ccflags|cut -f 2 -d\'` \
PERL5LIB=$RPM_BUILD_DIR/mod_perl-%mod_perl_version/lib \
CFLAGS='-DNO_DBM_REWRITEMAP' \
LIBS=-lgdbm \
./configure \
	--enable-rule=EAPI \
	--libexecdir=%_libdir/apache-perl \
	$APFLAGS \
	--activate-module=src/modules/perl/libperl.a \
	--disable-shared=include \
	--disable-shared=perl

make build-std
make -C src/support apxs

%install
# install the normal Apache
cd $RPM_BUILD_DIR/apache_%apache_vanilla_version
make install-quiet root=$RPM_BUILD_ROOT
#cp src/modules/standard/mod_log_config_buffered.so \
#	$RPM_BUILD_ROOT%_libdir/apache/

# install apache-mod_perl
cd $RPM_BUILD_DIR/apache-mod_perl_%apache_vanilla_version
install -m755 src/httpd $RPM_BUILD_ROOT%_sbindir/httpd-perl
install -d -m755 $RPM_BUILD_ROOT%_libdir/apache-perl/
install -m755 src/modules/*/*.so $RPM_BUILD_ROOT%_libdir/apache-perl/
sed -e 's;^#!/.*;#!/usr/bin/perl;' \
	-e 's;\@prefix\@;%prefix;' \
	-e 's;\@sbindir\@;%_sbindir;' \
	-e 's;\@libexecdir\@;%_libdir/apache-perl;' \
	-e 's;\@includedir\@;%_includedir;' \
	-e 's;\@sysconfdir\@;%_sysconfdir/httpd/conf;' \
	< src/support/apxs > $RPM_BUILD_ROOT%_sbindir/apxs-perl
chmod 755 $RPM_BUILD_ROOT%_sbindir/apxs-perl

ln -snf `relative %_logdir/httpd %apache_root/` \
	$RPM_BUILD_ROOT%apache_root/logs
ln -snf `relative %_libdir/apache %apache_root/` \
	$RPM_BUILD_ROOT%apache_root/modules
ln -snf `relative %_libdir/apache-perl %apache_root/` \
	$RPM_BUILD_ROOT%apache_root/modules-perl

# install log rotation stuff
install -d -m755 $RPM_BUILD_ROOT%_sysconfdir/logrotate.d
install -m644 $RPM_SOURCE_DIR/apache.logrotate \
	$RPM_BUILD_ROOT%_sysconfdir/logrotate.d/apache

# install configuration files
cd $RPM_BUILD_ROOT%_sysconfdir/httpd/conf
install -m644 $RPM_SOURCE_DIR/httpd.conf httpd.conf
install -m644 $RPM_SOURCE_DIR/httpd-perl.conf httpd-perl.conf
perl -pi -e 's/^\s*User nobody/User %apache_user/;' \
	 -e 's/^\s*Group nobody/Group %apache_group/;' \
	 httpd*.conf
install -m644 $RPM_SOURCE_DIR/mime.types apache-mime.types
cp -p mime.types.default apache-mime.types.default
install -d -m755 vhosts
install -p -m644 $RPM_SOURCE_DIR/{Vhosts,DynamicVhosts,VirtualHomePages}.conf \
	vhosts
install -pD -m644 $RPM_SOURCE_DIR/proxied_handlers.pl addon-modules/proxied_handlers.pl

#install misc documentation and logos
rm -f $RPM_BUILD_ROOT%apache_home/html/index.html.ru{,.ucs*}
for f in $RPM_BUILD_ROOT%apache_home/html/index.html*; do
	perl -pi \
		-e 's|apache_pb\.gif|ra-powered.gif|g;' \
		-e 's|</BODY>|<!--#include file="altlinux.html" -->\n</BODY>|i;' \
		< $f > ${f/.html/.shtml} \
        && rm -f $f
done
perl -pi -e 's|http://www\.apache\.org/httpd|http://apache.lexa.ru/|' \
	$RPM_BUILD_ROOT%apache_home/html/index.shtml.ru*
install -m644 %SOURCE30 \
        $RPM_BUILD_ROOT/%apache_home/html/
install -m644 %SOURCE29 \
	$RPM_BUILD_ROOT/%apache_home/html/
install -m644 %SOURCE31 \
	$RPM_BUILD_ROOT/%apache_home/icons/
install -d -m755 $RPM_BUILD_ROOT/%apache_home/html/addon-modules/
install -m644 $RPM_BUILD_DIR/EAPI-%EAPI_version/pkg.addon/mod_define.html \
	$RPM_BUILD_ROOT/%apache_home/html/manual/mod/mod_define.html
#install -m644 $RPM_SOURCE_DIR/mod_include.html \
#        $RPM_BUILD_ROOT/%apache_home/html/addon-modules/mod_include.html

perl -pi -e "s|/usr/local/bin/perl|%_bindir/perl|g;" \
	$RPM_BUILD_ROOT/%apache_home/html/manual/misc/howto.html
perl -pi -e "s|/path/to/bin/perl|%_bindir/perl|g;" \
	$RPM_BUILD_ROOT/%apache_home/html/manual/mod/mod_rewrite.html
perl -pi -e "s|/usr/local/bin/perl|%_bindir/perl|g;" \
	$RPM_BUILD_ROOT/%apache_home/html/manual/search/manual-index.cgi

# install mod_perl files
cd $RPM_BUILD_DIR/mod_perl-%mod_perl_version
#make pure_install PREFIX=$RPM_BUILD_ROOT%prefix
%perl_vendor_install
rm -f $RPM_BUILD_ROOT%perl_vendor_autolib/mod_perl/.packlist
install -d -m755 $RPM_BUILD_ROOT%apache_home/html/addon-modules/mod_perl/
install -m644 htdocs/manual/mod/mod_perl.html \
	$RPM_BUILD_ROOT%apache_home/html/addon-modules/mod_perl/mod_perl.html
perl -pi -e "s|../../../|/manual/images/|g;" \
	$RPM_BUILD_ROOT%apache_home/html/addon-modules/mod_perl/mod_perl.html
install -m644 README \
	$RPM_BUILD_ROOT%apache_home/html/addon-modules/mod_perl/README.txt
install -m644 SUPPORT Changes \
	$RPM_BUILD_ROOT%apache_home/html/addon-modules/mod_perl/
install -m644 apache-modlist.html \
	$RPM_BUILD_ROOT%apache_home/html/addon-modules/mod_perl/
install -m644 faq/*.{html,txt} \
	$RPM_BUILD_ROOT%apache_home/html/addon-modules/mod_perl/
install -m644 eg/README \
	$RPM_BUILD_ROOT%apache_home/html/addon-modules/mod_perl/README.eg
perl -pi -e 's,/usr/local/bin/perl,%_bindir/perl,' \
	$RPM_BUILD_ROOT%perl_vendor_archlib/Apache/Resource.pm
mkdir -p $RPM_BUILD_ROOT%apache_home/perl

# install the init script
mkdir -p $RPM_BUILD_ROOT%_sysconfdir/rc.d/init.d
install -m755 %SOURCE33 \
	$RPM_BUILD_ROOT%_sysconfdir/rc.d/init.d/httpd
install -m755 %SOURCE34 \
	$RPM_BUILD_ROOT%_sysconfdir/rc.d/init.d/httpd-perl
# replace the "official" apachectl by a symlink to the init script
rm -f $RPM_BUILD_ROOT%_sbindir/apachectl*
ln -s `relative %_sysconfdir/rc.d/init.d/httpd %_sbindir/` \
	$RPM_BUILD_ROOT%_sbindir/apachectl
ln -s `relative %_sysconfdir/rc.d/init.d/httpd-perl %_sbindir/` \
	$RPM_BUILD_ROOT%_sbindir/apachectl-perl

# take away manuals to place them in docdir
mv $RPM_BUILD_ROOT%apache_home/html/manual/ \
	$RPM_BUILD_DIR/apache_%apache_vanilla_version/
mv $RPM_BUILD_ROOT%apache_home/html/addon-modules/mod_perl/ \
	$RPM_BUILD_DIR/apache_%apache_vanilla_version/perldocs

%pre common
/usr/sbin/groupadd -r -f %apache_group 2>/dev/null ||:
/usr/sbin/groupadd -r -f %apache_webmaster 2>/dev/null ||:
/usr/sbin/useradd -g %apache_group -c 'WWW server' -d %apache_home -s '' \
	-r %apache_user 2>/dev/null || :
if [ -e %old_apache_home -a ! -e %apache_home ]; then
	mkdir -p `dirname %apache_home`
	ln -s %old_apache_home %apache_home
fi

%post manual
ln -snf %_docdir/apache-manual-%apache_version %apache_home/html/manual

%preun manual
if [ $1 = 0 ]; then
	rm -f %apache_home/html/manual
fi

%post
%post_service httpd

%preun
%preun_service httpd
if [ $1 = 0 ]; then
	rm -rf %_logdir/httpd/*
fi

%post mod_perl
%post_service httpd-perl

%preun mod_perl
%preun_service httpd-perl

%postun mod_perl
if [ -e %_sbindir/apachectl ]; then
	%_sbindir/apachectl update
fi

%post -n mod_perl-doc
ln -snf %_docdir/mod_perl-doc-%mod_perl_version \
	%apache_home/html/addon-modules/mod_perl

%preun -n mod_perl-doc
if [ $1 = 0 ]; then
	rm -f %apache_home/html/addon-modules/mod_perl
fi

%post suexec
if [ -e %_sbindir/apachectl ]; then
	%_sbindir/apachectl update
fi

%postun suexec
if [ -e %_sbindir/apachectl ]; then
	%_sbindir/apachectl update
fi

%files common
%dir %apache_root
%dir %_sysconfdir/httpd/conf
%config(noreplace) %_sysconfdir/httpd/conf/magic
%config(noreplace) %_sysconfdir/httpd/conf/apache-mime.types
%dir %_sysconfdir/httpd/conf/vhosts
%config(noreplace) %_sysconfdir/httpd/conf/vhosts/*
%dir %_sysconfdir/httpd/conf/addon-modules
%_sysconfdir/httpd/conf/httpd.conf.default
%_sysconfdir/httpd/conf/magic.default
%_sysconfdir/httpd/conf/apache-mime.types.default
%_sysconfdir/httpd/conf/tables
%apache_root/logs
%attr(-,root,%apache_webmaster) %dir %apache_home
%attr(2775,root,%apache_webmaster) %dir %apache_home/html
%attr(664,root,%apache_webmaster) %apache_home/html/*html*
%attr(664,root,%apache_webmaster) %apache_home/html/*.gif
%attr(2771,root,%apache_webmaster) %dir %apache_home/html/addon-modules
#%attr(644,root,%apache_webmaster) %apache_home/html/addon-modules/mod_include.html
%attr(2771,root,%apache_webmaster) %dir %apache_home/cgi-bin
%attr(664,root,%apache_webmaster) %apache_home/cgi-bin/*
%attr(2771,root,%apache_webmaster) %dir %apache_home/icons
%attr(2771,root,%apache_webmaster) %dir %apache_home/icons/small
%attr(664,root,%apache_webmaster) %apache_home/icons/README
%attr(664,root,%apache_webmaster) %apache_home/icons/small/README.txt
%attr(664,root,%apache_webmaster) %apache_home/icons/*.gif
%attr(664,root,%apache_webmaster) %apache_home/icons/*.png
%attr(664,root,%apache_webmaster) %apache_home/icons/small/*.gif
%attr(664,root,%apache_webmaster) %apache_home/icons/small/*.png
%attr(3770,root,%apache_group) %dir %_logdir/httpd
%attr(750,%apache_user,%apache_webmaster) %dir %_var/cache/httpd
%_mandir/man?/*
%_sbindir/ab
%_sbindir/apachectl*
%_sbindir/logresolve
%_sbindir/rotatelogs
%_bindir/*
%config(noreplace) %_sysconfdir/logrotate.d/apache
%doc README LICENSE ABOUT_APACHE CHANGES.rus* ../EAPI-%EAPI_version/pkg.eapi/README.EAPI

%files
%_sysconfdir/rc.d/init.d/httpd
%_sbindir/httpd
%_sbindir/apxs
%config(noreplace) %_sysconfdir/httpd/conf/httpd.conf
%_libdir/apache/
%apache_root/modules

%files mod_perl
%_sysconfdir/rc.d/init.d/httpd-perl
%_sbindir/httpd-perl
%_libdir/apache-perl/
%apache_root/modules-perl
%_sbindir/apxs-perl
%config(noreplace) %_sysconfdir/httpd/conf/httpd-perl.conf
%dir %_sysconfdir/httpd/conf/addon-modules
%config(noreplace) %_sysconfdir/httpd/conf/addon-modules/proxied_handlers.pl
%perl_vendor_archlib/Apache*
%perl_vendor_archlib/Bundle*
%perl_vendor_archlib/mod_perl*
%perl_vendor_autolib/Apache*
#%perl_vendor_man3dir/*
%attr(3771,root,%apache_group) %dir %apache_home/perl
#%attr(755,root,%apache_group) %apache_home/perl/*

%files -n mod_perl-doc
%doc perldocs/*

%files manual
%doc manual/*

%files devel
%_includedir/apache

%files suexec
%attr(4711,root,root) %_sbindir/suexec

%changelog
* Tue Nov 26 2002 Dmitry V. Levin <ldv@altlinux.org> 1.3.27rusPL30.16-alt13
- Replaced mdk-mkstemp patch with openbsd-tmp, better optimized one.

* Fri Nov 01 2002 Stanislav Ievlev <inger@altlinux.ru> 1.3.27rusPL30.16-alt12
- rebuild with new perl

* Mon Oct 21 2002 Dmitry V. Levin <ldv@altlinux.org> 1.3.27rusPL30.16-alt11
- %_initdir/httpd: use full path (%_sbindir/httpd).
- %_logdir/httpd: changed permissions to %%attr(3770,root,%apache_group).
- %_sysconfdir/logrotate.d/apache: added directives:
  + sharedscripts;
  + create 0664 root apache.

* Thu Oct 10 2002 Alexander Bokovoy <ab@altlinux.ru> 1.3.27rusPL30.16-alt10
- Fixed:
    + access rights for %apache_home/icons/small

* Tue Oct 08 2002 Alexander Bokovoy <ab@altlinux.ru> 1.3.27rusPL30.16-alt9
- Security update 1.3.27
- Updated:
    + mod_proxy has been updated to 1.3.27 as well (passes same test suite as 1.3.23's one)
    + mod_perl to 1.27
    + EAPI to 2.8.10 (fixed to be compatible with 1.3.27)

* Fri Aug 09 2002 Stanislav Ievlev <inger@altlinux.ru> 1.3.23rusPL30.11-alt8.1
- fixed permisions in mod_perl subpackage

* Tue Jun 18 2002 Alexander Bokovoy <ab@altlinux.ru> 1.3.23rusPL30.11-alt8
- Fixed:
    + Apache httpd: vulnerability with chunked encoding (next round)
    + Fix RA patch to suit chunked fixes
    + explicit TMPDIR=/tmp

* Mon Jun 17 2002 Alexander Bokovoy <ab@altlinux.ru> 1.3.23rusPL30.11-alt7
- Fixed:
    + Apache httpd: vulnerability with chunked encoding
    
* Wed Apr 03 2002 Dmitry V. Levin <ldv@alt-linux.org> 1.3.23rusPL30.11-alt6
- Fixed db4 build support.
- Build with db4.
- Build without bind-devel.

* Tue Feb 26 2002 Alexander Bokovoy <ab@altlinux.ru> 1.3.23rusPL30.11-alt5
- Updated:
    + EAPI up to 2.8.7 [fixed potential buffer overflow in mod_ssl]

* Fri Feb 22 2002 Alexander Bokovoy <ab@altlinux.ru> 1.3.23rusPL30.11-alt4
- Fixed:
    + Configure option SHARED_CORE rule must be exclusive
      for non-mod_perl Apache only (#0000644)
    + Changed (finally) links and logo to ALT Linux

* Thu Feb 21 2002 Alexander Bokovoy <ab@altlinux.ru> 1.3.23rusPL30.11-alt3
- Added:
    + SHARED_CORE (libhttpd.so) for Kylix2 Enterprise compatibility
- Reverted:
    + mod_proxy to 1.3.22 state (includes partial EAPI revert)
- spec clean ups

* Thu Feb 21 2002 Alexander Bokovoy <ab@altlinux.ru> 1.3.23rusPL30.11-alt2
- Fixed:
    + return codes for 'status' in service scripts

* Fri Feb 08 2002 Alexander Bokovoy <ab@altlinux.ru> 1.3.23rusPL30.11-alt1
- 1.3.23 / RA 30.11 / EAPI 2.8.6
- APXS moved to apache-common

* Thu Jan 24 2002 Alexander Bokovoy <ab@altlinux.ru> 1.3.22rusPL30.9-alt4
- Fixed:
    + Non-blocked CharsetDisable directive in httpd.conf (#0000441)

* Mon Jan 14 2002 Alexander Bokovoy <ab@altlinux.ru> 1.3.22rusPL30.9-alt3
- Fixed:
    + mod_proxy bug (Andrey Orlov)

* Thu Nov 15 2001 Alexander Bokovoy <ab@altlinux.ru> 1.3.22rusPL30.9-alt2
- Fixed:
    + httpd-perl.conf: Multi language documentation
    + httpd-perl.conf: server side parsed html
    + httpd-perl.conf: enabled mod_negotiation in non-proxied mode

* Wed Oct 24 2001 Alexander Bokovoy <ab@altlinux.ru> 1.3.22rusPL30.9-alt1
- 1.3.22
- Russian Apache PL30.9
- EAPI 2.8.5
- Fixed start up scripts to use sed/tr (PR #0000093)
- Fixed start up script for mod_perl (PR #0000036)
- Fixed typo in Russian summary for mod_perl (PR #0000057)

* Mon Sep 24 2001 Dmitry V. Levin <ldv@altlinux.ru> 1.3.20rusPL30.5-alt2
- Removed duplicated entry of %_sysconfdir/httpd/conf/addon-modules/proxied_handlers.pl
  from %name-common subpackage.
- Built with db3-3.3.11.

* Tue Aug 01 2001 Alexander Bokovoy <ab@altlinux.ru> 1.3.20rusPL30.5-alt1
- New RA patch
- New mod_perl

* Wed Jul 25 2001 Dmitry V. Levin <ldv@altlinux.ru> 1.3.20rusPL30.4-alt5
- Rebuilt with new perl.

* Mon Jun 25 2001 Dmitry V. Levin <ldv@altlinux.ru> 1.3.20rusPL30.4-alt4
- Rebuilt with perl-5.6.1

* Mon Jun 04 2001 Dmitry V. Levin <ldv@altlinux.ru> 1.3.20rusPL30.4-alt3
- Fixed permissions on %apache_home/html.

* Fri Jun 01 2001 Dmitry V. Levin <ldv@altlinux.ru> 1.3.20rusPL30.4-alt2
- Fixed permissions in %apache_home.
- Updated init and %%post/%%preun scripts.

* Mon May 21 2001 Alexander Bokovoy <ab@avilink.net>  1.3.20rusPL30.4-alt1
- New Apache version
- Updated:
  + EAPI - 2.8.4
  + CharsetDisable On is set by default
- Fixed:
  + initial fix for permissions in %apache_home
  + dependency for apache-suexec fixed

* Sun Apr 15 2001 Alexander Bokovoy <ab@avilink.net>  1.3.19rusPL30.4-ipl4mdk
- Introducing EAPI to Apache+mod_perl build
- Fixed:
  + logrotate now uses /sbin/service to access httpd and httpd-perl control scripts

* Sun Mar 18 2001 Alexander Bokovoy <ab@avilink.net>  1.3.19rusPL30.4-ipl3mdk
- Disabling expat again

* Sat Mar 17 2001 Alexander Bokovoy <ab@avilink.net>  1.3.19rusPL30.4-ipl2mdk
- Updated:
  + SGI patches took out due unsupported state and many conflicts with 1.3.19
  + httpd.conf (SingleListen unsupported now)
- Fixed:
  + Apache owner/group are apache/apache, not nobody/nobody for httpd.conf/httpd_perl.conf

* Mon Mar 12 2001 Alexander Bokovoy <ab@avilink.net>  1.3.19rusPL30.4-ipl1mdk
- Updated:
  + EAPI 2.8.1
  + RA PL30.4
- Fixed:
  + index.php3 added to the set of index files
  + README.EAPI added to apache-common documentation
  + Use system-wide Expat library

* Mon Mar 05 2001 Alexander Bokovoy <ab@avilink.net>  1.3.19rusPL30.3-ipl1mdk
- Updated:
  + new Apache version
  + 10xpatch ported to 1.3.19 as well as some other patches which were out of sync with Apache source

* Tue Feb 13 2001 Alexander Bokovoy <ab@avilink.net>  1.3.17rusPL30.3-ipl8mdk
- Fixed:
  + logrotate for Apache
  + Documentation for mod_perl
- Updated:
  + mod_perl up to 1.25
- Removed:
  + automatic Apache start

* Wed Feb 08 2001 Alexander Bokovoy <ab@avilink.net>  1.3.17rusPL30.3-ipl7mdk
- Updated:
  + Official Russian Apache PL30.3
- Fixed
  + SGI patch
  + buffered logs
  + Fallback to mod_perl 1.24_01
  + Symlinks to manual

* Sat Feb  3 2001 Mikhail Zabaluev <zabaluev@parascript.com> 1.3.17rusPL30.0-ipl6mdk
- Updated:
  + EAPI 2.8.0
  + mod_perl 1.25
- Added:
  + fix for insecure tempfile creation in htpasswd and htdigest,
    by Vincent Danen, Mandrakesoft

* Thu Feb 01 2001 Alexander Bokovoy <ab@avilink.net>  1.3.17rusPL30.0-ipl5mdk
- Typo fix in httpd.conf
- ra_powered.gif

* Wed Jan 31 2001 Alexander Bokovoy <ab@avilink.net>  1.3.17rusPL30.0-ipl4mdk
- Port to 1.3.17, most patches refreshed
- new httpd.init, http-perl.init

* Wed Dec  6 2000 Mikhail Zabaluev <mookid@sigent.ru> 1.3.14rusPL30.0-3mdk_mhz
- Added:
  + auto-dependencies (provides) built for perl
- Updated:
  + new, super-robust apxs patch
  + updated init script
  + minor fixes in httpd.conf, protected httpd-perl status from the outside
  + cleaned up spec, ru -> ru_RU.KOI8-R
  + provides pseudo-package 'russian-apache' including patchlevel

* Thu Nov 16 2000 Mikhail Zabaluev <mookid@sigent.ru> 1.3.14rusPL30.0-2mdk_mhz
- ported 10xpatch for 1.3.14
- changed mod_log_config_buffered patch to apply at the prep stage

* Tue Oct 26 2000 Mikhail Zabaluev <mookid@sigent.ru> 1.3.14rusPL30.0-1mdk_mhz
- Thee experimental PL30.0

* Wed Oct 25 2000 Mikhail Zabaluev <mookid@sigent.ru> 1.3.14rusPL29.9-1mdk_mhz
- Apache 1.3.14, EAPI 2.7.1, mod_rewrite patch
- used the last Russian patch considered to be stable (PL30.0 pending)
- applied 10xpatch for 1.3.12 after JMD has tweaked it down
- changed the document root to /var/www, drifting with the RedHad/Mandrake herd
- overhauled config files
- Added KOffice mimetypes
- separate release number for mod_perl-doc
- index.html.ru.* were added to sources, so I revoked my humble one.

* Wed Oct 18 2000 Mikhail Zabaluev <mookid@sigent.ru> 1.3.12rusPL29.7-15mdk_mhz
- the last release before Apache 1.3.14 (waiting for 10xpatch)
- mod_perl 1.24_01
- compiled against perl without largefile support
- mod_perl-doc package
- brought configtest command back to apachectl/init script

* Sat Oct  7 2000 Mikhail Zabaluev <mookid@sigent.ru> 1.3.12rusPL29.7-14mdk_mhz
- merged a bunch of JMD's changes at 1.3.12-30mdk
- added an "official" index.html.ru taken from apache 2.0alpha6
  and slightly modified
- configure without layout using macros supplied by rpm
- macros everywhere

* Thu Aug  3 2000 Mikhail Zabaluev <mookid@sigent.ru> 1.3.12rusPL29.7-13mdk_mhz
- fixed install script problems and paths

* Mon Jul 24 2000 Mikhail Zabaluev <mookid@sigent.ru> 1.3.12rusPL29.7-12mdk_mhz
- new Russian Apache version (further POST fixes) and mm 1.1.3

* Mon Jul 17 2000 Mikhail Zabaluev <mookid@sigent.ru> 1.3.12rusPL29.5-1mdk_mhz
- new version (the patch added in my previous release has been applied)

* Sun Jul 16 2000 Mikhail Zabaluev <mookid@sigent.ru> 1.3.12rusPL29.4-11mdk_mhz
- applied a patch by Viktor Khimenko fixing a bug in charset_bread

* Wed Jul 12 2000 Mikhail Zabaluev <mookid@sigent.ru> 1.3.12rusPL29.4-10mdk_mhz
- disabled EXPAT rule for both servers. PHP 4 builds with its bundled Expat,
  no questions asked
- EAPI 2.6.5

* Thu Jul  6 2000 Mikhail Zabaluev <mookid@sigent.ru> 1.3.12rusPL29.4-9mdk_mhz
- disabled EXPAT rule for apache+mod_perl static build to avoid conflicts
  with XML::Parser

* Mon Jun 26 2000 Mikhail Zabaluev <mookid@sigent.ru> 1.3.12rusPL29.4-8mdk_mhz
- new EAPI, MM and mod_perl versions
- Frontpage and XSSI dropped
- rebuilt against Perl having largefile support stripped

* Thu Apr 27 2000 Mikhail Zabaluev <mookid@sigent.ru> 1.3.12rusPL29.4-7mdk_mhz
- MM lockfiles sit better in /var/lock

* Wed Apr 26 2000 Mikhail Zabaluev <mookid@sigent.ru> 1.3.12rusPL29.4-6mdk_mhz
- fixes to build under an ordinary user
- filelist cleanup

* Mon Apr 24 2000 Mikhail Zabaluev <mookid@sigent.ru> 1.3.12rusPL29.4-5mdk_mhz
- sync with 1.3.12-10mdk
- mm thrown out to be a separate package

* Tue Mar 28 2000 Mikhail Zabaluev <mookid@sigent.ru>
- moved apxs from devel to common -- the tool is too useful

* Fri Mar 24 2000 Mikhail Zabaluev <mookid@sigent.ru>
- mod_perl 1.22. Still leaks memory on restarts being a DSO.

* Tue Mar 21 2000 Mikhail Zabaluev <mookid@sigent.ru>
- Russian Apache 1.3.12 rusPL29.4
- Jean-Michel's add-ons merged back
- SGI patches for 1.3.12 (up to level 1) applied
- index.html.ru translated to Russian :)

* Mon Feb 28 2000 Mikhail Zabaluev <mookid@mu.ru>
- cleaned out apxs

* Sun Feb 20 2000 Mikhail Zabaluev <mookid@mu.ru>
- fixed ServerRoot for good
- fixed MM lockfile path
- added -n mod_perl package for punks

* Mon Feb  7 2000 Mikhail Zabaluev <mookid@mu.ru>
- updated to Russian Apache 1.3.9 rusPL29.2
- fixed .packlist for mod_perl

* Sat Jan 29 2000 Mikhail Zabaluev <mookid@mu.ru>
- ported to Russian Apache PL28.22
- added a version with mod_perl 1.21 linked in
- moved files common for apache and apache-mod_perl to apache-common
- EAPI 2.4.10
- mm and mm-devel are now separate packages too
- most of other add-ons dropped (sorry pals)

* Wed Jan  5 2000 Jean-Michel Dault <jmdault@netrevolution.com>
- moved suexec to another package so it doesn't get installed by default
- added index.php3 as valid index.

* Mon Jan  3 2000 Jean-Michel Dault <jmdault@netrevolution.com>
- final cleanup for Mandrake 7


